Package org.apache.nutch.service.impl

## Class JobManagerImpl

- java.lang.Object
- - org.apache.nutch.service.impl.JobManagerImpl

- All Implemented Interfaces:
    `JobManager`

      public class JobManagerImpl
      extends Object
      implements JobManager

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.nutch.service.JobManager

      `JobManager.JobType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobManagerImpl​(JobFactory jobFactory, ConfManager configManager, NutchServerPoolExecutor executor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `abort​(String crawlId, String id)` |
    `JobInfo` | `create​(JobConfig jobConfig)` | Creates specified job
    `JobInfo` | `get​(String crawlId, String jobId)` |
    `Collection<JobInfo>` | `list​(String crawlId, JobInfo.State state)` |
    `boolean` | `stop​(String crawlId, String id)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobManagerImpl

          public JobManagerImpl​(JobFactory jobFactory,
                                ConfManager configManager,
                                NutchServerPoolExecutor executor)

  - ### Method Detail

    - #### create

          public JobInfo create​(JobConfig jobConfig)

      Description copied from interface: `JobManager`
      Creates specified job
      Specified by:
        `create` in interface `JobManager`
      Parameters:
        `jobConfig` - a job-specific `JobConfig`
      Returns:
        JobInfo

    - #### list

          public Collection<JobInfo> list​(String crawlId,
                                          JobInfo.State state)

      Specified by:
        `list` in interface `JobManager`

    - #### get

          public JobInfo get​(String crawlId,
                             String jobId)

      Specified by:
        `get` in interface `JobManager`

    - #### abort

          public boolean abort​(String crawlId,
                               String id)

      Specified by:
        `abort` in interface `JobManager`

    - #### stop

          public boolean stop​(String crawlId,
                              String id)

      Specified by:
        `stop` in interface `JobManager`